Chiphell - 分享与交流用户体验

 找回密码
 加入我们
搜索
      
楼主: tomgg123

[其他] Ubuntu能够取代WinXP/Win8.1的5大理由

  [复制链接]
发表于 2014-1-9 23:21 | 显示全部楼层
彩色斑马 发表于 2014-1-9 15:42
天朝表示:不能D版的系统不是好机器

早年写个邮件过去就送你安装光盘。。。你还想怎样?
发表于 2014-1-9 23:49 | 显示全部楼层
torbai 发表于 2014-1-9 23:06
啊,openSUSE 的 YaST、zypper 和 OBS 真心好用

pacman路过
发表于 2014-1-9 23:59 | 显示全部楼层
分工不同吧,做服务器还是不错的。桌面平台 差距不是一点点。桌面关键是易用性和兼容性,非常不幸的是这两点都是linux的软肋。ms苦心经营这么多年,还是有道理的。至于效率方面,确实某些情况下linux快很多,毕竟win要兼容这么多东西,专用系统不如通用系统快就可以去死了。至于装软件问题,apt-get 安装 和鼠标点两下你觉得谁更加方便。至于开发方面,尤其是Java php 等,win是更加方便的。现在用linux写代码也用vm虚拟机跑,开发效率更高,而且可以同步写文档,组内交流。当然啦,最后部署的时候还是部署到linux服务器上的~
发表于 2014-1-10 00:06 | 显示全部楼层
ReiFFEXzyx 发表于 2014-1-9 23:49
pacman路过

Arch 的月经升级伺候得怎么样啊,祝您每次滚动升级都成功
发表于 2014-1-10 00:10 来自手机 | 显示全部楼层
为什么XP 不用了,就得抛弃微软呀
日常使用,就是让我花钱,我都会选微软
XP没了,就选Win7呗
发表于 2014-1-10 00:17 | 显示全部楼层
zlr3538 发表于 2014-1-9 15:58
行业性生产工具和游戏娱乐性能的缺陷永远是linux的命门。
linux的桌面本地化应用质量永远无法超越windows。 ...

iOS一直在搞云服务,也想带到Mac OS上,并且自己做,
也做平台,欢迎别家来搞,但是行业影响力始终很有限

现在微软大象转身,开始在云服务的产业链和小伙伴们一起搞,其他人估计还是难以企及。

只是不知道微软打算怎么搞这个度,因为SAAS到一定程度,浏览器+HTML5就几乎可以承载所有本地化的内容了,其他内容全交由云来搞定,那还要操作系统干嘛呢……
发表于 2014-1-10 00:26 | 显示全部楼层
torbai 发表于 2014-1-10 00:06
Arch 的月经升级伺候得怎么样啊,祝您每次滚动升级都成功

滚个半年没问题
发表于 2014-1-10 00:28 | 显示全部楼层
ReiFFEXzyx 发表于 2014-1-10 00:26
滚个半年没问题

那我就安心了
发表于 2014-1-10 01:08 | 显示全部楼层
ubuntu的按钮比win高分还小。。。。就算你分辨率很低都很小

而且ubuntu死机几率其实超级高,尤其是内存被吃掉很多的情况下
发表于 2014-1-10 01:37 | 显示全部楼层
yulizi 发表于 2014-1-9 17:02
用ubuntu挺安逸的  每次用windows都有想砸电脑的冲动

竟然有Chrome~一直以为乌班图没有Chrome~
发表于 2014-1-10 07:55 | 显示全部楼层
jayjoke 发表于 2014-1-9 17:24
贵的一逼,IIS和sql server性能不见得比开源软件强

我说的是开发工具,IIS和SQL SERVER不算吧
发表于 2014-1-10 08:29 | 显示全部楼层
Mr.Zhang 发表于 2014-1-10 07:55
我说的是开发工具,IIS和SQL SERVER不算吧

VS也不见得比eclipse好用啊

更何况还有高贵的vim党
发表于 2014-1-10 10:43 | 显示全部楼层
terminus 发表于 2014-1-9 17:38
表示同样的代码在ubuntu下跑的效率是win的3倍

你说这句话的时候过脑子了么???
发表于 2014-1-10 11:27 | 显示全部楼层
本帖最后由 terminus 于 2014-1-10 11:29 编辑
liuxinweide 发表于 2014-1-10 10:43
你说这句话的时候过脑子了么???

php5.5+mysql 5.6,跑20万数据统计得出
同一个机柜,同样的配置
win=win08r2+apache2.4+mysql5.6+php5.5
u=12.04.3+tengine+mysql5.6+php5.5
发表于 2014-1-10 11:32 | 显示全部楼层
424778940 发表于 2014-1-9 16:33
这就不错了,还没让你源码编译呢
svn clone xxxx
./configure --prefix=xxxxx

还有些软件有autoconf =。=
发表于 2014-1-10 12:33 | 显示全部楼层
davelv 发表于 2014-1-10 11:32
还有些软件有autoconf =。=

反正都是蛋疼,对普通用户都是很麻烦
ubuntu越做越烂,各种垃圾界面,麻烦到死
果断换xubuntu,软件园通用,但系统干净的多,没有那么一大堆垃圾软件
发表于 2014-1-10 13:03 | 显示全部楼层
ubuntu挺好的,我现在就用它工作的
发表于 2014-1-10 13:20 来自手机 | 显示全部楼层
有Ftp svn这类的软件嘛?
发表于 2014-1-10 13:47 | 显示全部楼层
linux 还是服务器用的多。。。。桌面还是不行啊,普通客户要求的是便捷啊
发表于 2014-1-10 13:48 | 显示全部楼层
怎么说呢我在单位用linux,因为行业特殊,金融行业,而且linux也是用在很小的范围内,主要看重的就是安全性,反正公司的技术维护部门是这么说的,剩下的时候linux,还真是就和计算器一样了,没啥娱乐功能嘛~我自己的生活里是不用它
发表于 2014-1-10 13:55 来自手机 | 显示全部楼层
jayjoke 发表于 2014-1-10 08:29
VS也不见得比eclipse好用啊

更何况还有高贵的vim党

Vim党飘过~
块操作太爽了。。。
发表于 2014-1-10 13:59 来自手机 | 显示全部楼层
没错 就算winxp和win8.1都没人用 大家也只会去用win7吧
发表于 2014-1-10 14:00 | 显示全部楼层
乖乖大学生 发表于 2014-1-9 15:55
你要自己添加有你需要的软件的源
然后你还必须记得软件的包名字为XXX
然后命令行sudo apt-get install XXX

其实做一个类似于android上软件市场的东西就解决了……
发表于 2014-1-10 14:46 | 显示全部楼层
twaddle 发表于 2014-1-10 14:00
其实做一个类似于android上软件市场的东西就解决了……

源头上就很难。。。因为linux上一堆软件是源码形式存在,除非是同一个发行版的同一个版本,否则预先编译好的程序可能不兼容。
发表于 2014-1-10 15:06 | 显示全部楼层
支持大部分软件10年前就在喊了,另一个口号大概表述出来是“自带上百个开源免费工具”。

但基本上天朝环境里常用的办公,游戏,商务乃至工程软件是不在这个集合里的。能用wine完全跑起来的的确也有,占一部分而已,其余的呢?游戏不支持opengl的基本跑不了,还有的需要wine特别配置,而且方法极其不普适。商务的office系列曾经也是需要wine,然后各种中文字体之类的兼容性,不知道现在算是完美能运行了没。工程的AutoDesk,Solidworks,Labview,matlab基本上有大型IDE的软件新版本都渐渐撤销了linux上的通用支持,那些第三方开源替代的产品则根本不受天朝产业待见。

只有到了不怎么依赖IDE的字符环境,linux立刻就牛了起来,各种业界主流的模拟计算,数据分析平台都在linux上放主发行版本,顺带给windows一个支持。
发表于 2014-1-10 15:18 | 显示全部楼层
本帖最后由 maociwei 于 2014-1-10 15:28 编辑
424778940 发表于 2014-1-9 16:33
这就不错了,还没让你源码编译呢
svn clone xxxx
./configure --prefix=xxxxx

config报告某个lib找不到,还得指定--libxxx=/user/local。然后编译安装成功,软件死活打不开某个功能。谷歌一查软件abc,漫天的abc_confg,abc_dev,abc_menu名字的包不知道弄哪个。最后在某个开发社区论坛的邮件列表,偶尔一眼看到几段一带而过的回帖,才说到了原因——需要再装个tool-config或者tool-gui之类的,先给在配置里开启功能才能用。

这事情真是发生在我装fcitx输入法的过程中,中文输入法新版装到系统上,居然默认没有中文输入,只能打英文字母。卸载scim,重启,下各种中文字典文件重新编译,均无用。后来在搜出来的fcitx邮件列表里发现,新版的fcitx还的装个config工具。装好后在工具里选加载中文输入法,终于能用了
发表于 2014-1-10 21:32 | 显示全部楼层
maociwei 发表于 2014-1-10 15:18
config报告某个lib找不到,还得指定--libxxx=/user/local。然后编译安装成功,软件死活打不开某个功能。谷 ...

= =....刚刚折腾vpn转socks5服务器...
vpn客户端是基于虚拟网卡的
然后socks5服务器就他妹的不支持虚拟网卡
折腾了无数方法也没搞定,什么iptables,网桥...绑定网卡...就是联不通
后来干脆装个xp.装了三个软件完工...不到20分钟....
发表于 2014-1-10 22:17 来自手机 | 显示全部楼层
宏基笔记本安装失败!!!
发表于 2014-1-10 22:23 | 显示全部楼层
为毛乌版图要用system v
发表于 2014-1-10 22:37 | 显示全部楼层
本帖最后由 ReiFFEXzyx 于 2014-1-10 23:07 编辑
maociwei 发表于 2014-1-10 15:18
config报告某个lib找不到,还得指定--libxxx=/user/local。然后编译安装成功,软件死活打不开某个功能。谷 ...

软件中心里有fcitx、fcitx-sunpinyin和sunpinyin-data
直接安装就行,不需要编译
如果安装系统时选择的是中文环境,重新登陆fcitx就应该能起来了
麻烦的是安装系统时选择的英文环境
您需要登录后才可以回帖 登录 | 加入我们

本版积分规则

小黑屋|手机版|Archiver|Chiphell ( 沪ICP备12027953号-5 )沪公网备310112100042806 上海市互联网违法与不良信息举报中心

GMT+8, 2021-8-4 07:14 , Processed in 0.012003 second(s), 8 queries , Gzip On, Redis On.

Powered by Discuz! X3.4

© 2007-2021 Chiphell.com All rights reserved.

快速回复 返回顶部 返回列表